/* Contains all the CSS for sections on main page */
h1 {
  font-size: 2.5rem;
}

#quickStartContainer {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  color: var(--ifm-color-content-inverse);
  background-color: black;
}

[data-theme='dark'] #quickStartContainer {
  color: var(--ifm-color-content);
}

#quickStart {
  text-align: center;
  padding: 2% 0;
}

#quickStartDescription {
  margin: auto;
  width: 55%;
  padding-bottom: 2%;
}

#quickStartButton {
  padding: 0.2rem 1rem;
  font-weight: var(--ifm-font-weight-bold);
  font-size: var(--ifm-h3-font-size);
  color: var(--ifm-color-content-inverse);
  background-color: transparent;
  border-radius: 15px;
  border: var(--ifm-color-content-inverse) 2px solid;
  transition-duration: var(--default-transition-duration);
}

#quickStartButton:hover {
  color: var(--ifm-color-content);
  background-color: var(--ifm-color-content-inverse);
  text-decoration: none;
}

#quickStartButton:active {
  box-shadow: 0px 20px 20px 0px rgba(46, 46, 46, 1);
}

[data-theme='dark'] #quickStartButton {
  color: var(--ifm-color-content);
  border: var(--ifm-color-content) 2px solid;
}

[data-theme='dark'] #quickStartButton:hover {
  color: var(--ifm-color-content-inverse);
  background-color: var(--ifm-color-content);
}

.featuresContainer {
  position: relative;
  display: grid;
  grid-template-columns: 0.65fr;
  justify-content: space-around;
}

.featuresContainer::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-attachment: fixed;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  filter: blur(12px);
}

[data-theme='dark'] .featuresContainer::before {
  filter: blur(12px) invert(1);
}

.featureItem {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.featureItem img,
.featureIcon {
  margin: 2%;
  border-radius: 3%;
  aspect-ratio: 16/10;
  object-fit: contain;
  overflow: hidden;
}

[data-theme='dark'] .featureIcon {
  filter: invert(1);
}

.featureDescription {
  text-align: center;
}

#downloadContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(to bottom, #eee, #fff);
  padding: 1%;
}

[data-theme='dark'] #downloadContainer {
  background-image: linear-gradient(to bottom, #111, #222);
}

#downloadCard {
  padding: 2%;
}

#downloadButton {
  color: unset;
  font-weight: var(--ifm-font-weight-bold);
  font-size: small;
  text-decoration: none;
}

#downloadButton:hover {
  color: var(--ifm-navbar-link-hover-color);
}

@media screen and (max-width: 996px) {
  .featureItem {
    flex-direction: column;
    text-align: center;
  }

  #downloadContainer {
    flex-direction: column;
  }
}